Bug 581055 - SELinux is preventing /usr/bin/python "getattr" access on /usr/bin/certmaster.
SELinux is preventing /usr/bin/python "getattr" access on /usr/bin/certm...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
13
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Eckersberg
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:200473da253...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-09 18:11 EDT by Fabian Affolter
Modified: 2010-10-10 09:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-10 09:36:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2010-04-09 18:11:59 EDT
Summary:

SELinux is preventing /usr/bin/python "getattr" access on /usr/bin/certmaster.

Detailed Description:

SELinux denied access requested by cobblerd. It is not expected that this access
is required by cobblerd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:cobblerd_t:s0
Target Context                system_u:object_r:certmaster_exec_t:s0
Target Objects                /usr/bin/certmaster [ file ]
Source                        cobblerd
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.4-20.fc13
Target RPM Packages           certmaster-0.25-2.fc12
Policy RPM                    selinux-policy-3.7.15-4.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux system01.local.net
                              2.6.33-0.52.rc8.git6.fc13.i686 #1 SMP Tue Feb 23
                              05:11:28 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Fri 09 Apr 2010 11:16:13 PM CEST
Last Seen                     Sat 10 Apr 2010 12:11:00 AM CEST
Local ID                      986d49ef-b3c6-4293-ac6d-b7fe472f60b9
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1270851060.845:111): avc:  denied  { getattr } for  pid=19134 comm="cobblerd" path="/usr/bin/certmaster" dev=dm-0 ino=7992 scontext=unconfined_u:system_r:cobblerd_t:s0 tcontext=system_u:object_r:certmaster_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1270851060.845:111): arch=40000003 syscall=195 success=no exit=-13 a0=bf93a61b a1=bf938508 a2=476ff4 a3=9ea6380 items=0 ppid=19133 pid=19134 auid=501 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=3 comm="cobblerd" exe="/usr/bin/python" subj=unconfined_u:system_r:cobblerd_t:s0 key=(null)



Hash String generated from  catchall,cobblerd,cobblerd_t,certmaster_exec_t,file,getattr
audit2allow suggests:

#============= cobblerd_t ==============
allow cobblerd_t certmaster_exec_t:file getattr;
Comment 1 Daniel Walsh 2010-04-11 08:21:19 EDT
Does cobblerd actually need to execute certmaster?

Note You need to log in before you can comment on or make changes to this bug.